package com.ejie.m62fb.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.m62fb.dao.ComboP28Dao;
import com.ejie.m62fb.model.tipos.AbstractTipoGenericoP28;

/**
 * 
 * Documentaci&oacute;n
 * 
XXXX
 * 
 */
@Service(value = "comboP28Service")
public class ComboP28ServiceImpl<T extends AbstractTipoGenericoP28> implements ComboP28Service<T> {

	@Autowired
	private ComboP28Dao<T> comboP28Dao;


	@Override
	public List<? extends AbstractTipoGenericoP28> findAll(T combo) {
		return comboP28Dao.findAll(combo);
	}

	@Override
	public T find(T combo) {
		return (T) comboP28Dao.find(combo);
	}
}
